# Method: projects.locations.customClasses.list

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.request_body)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.ListCustomClassesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.aspect_1)

Lists CustomClasses.

### HTTP request

`GET https://speech.googleapis.com/v2/{parent=projects/*/locations/*}/customClasses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location of CustomClass resources to list. The expected format is `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Number of results per requests. A valid pageSize ranges from 0 to 100 inclusive. If the pageSize is zero or unspecified, a page size of 5 will be chosen. If the page size exceeds 100, it will be coerced down to 100. Note that a call might return fewer results than the requested page size. |
| `pageToken` | `string` A page token, received from a previous `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#google.cloud.speech.v2.Speech.ListCustomClasses` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#google.cloud.speech.v2.Speech.ListCustomClasses` must match the call that provided the page token. |
| `showDeleted` | `boolean` Whether, or not, to show resources that have been deleted. |

### Request body

The request body must be empty.

### Response body

Response message for the `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#google.cloud.speech.v2.Speech.ListCustomClasses` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customClasses": [ { object (`https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses#CustomClass`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customClasses[]` | ``object (`https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses#CustomClass`)`` The list of requested CustomClasses. |
| `nextPageToken` | `string` A token, which can be sent as `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.customClasses/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. This token expires after 72 hours. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `speech.customClasses.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).